=== debian/changelog ===
nco (4.0.7-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #622527).

 -- Luk Claes <luk@debian.org>  Sun, 26 Jun 2011 09:34:27 +0200

nco (4.0.7-1) unstable; urgency=low

  * new upstream version (fix bug_hyp_dgn, srd w/dap)

 -- Charlie Zender <zender@uci.edu>  Fri, 21 Jan 2011 11:30:56 -0700

nco (4.0.6-1) unstable; urgency=low

  * new upstream version (clang, YYYYMMDD-averaging, xtr ass crd)
  * debian/rules
    - build with dap-netcdf netcdf4 udunits2 by default

 -- Charlie Zender <zender@uci.edu>  Fri, 14 Jan 2011 11:30:56 -0700

nco (4.0.5-1) unstable; urgency=low

  * new upstream version (fix ncks hyp NC4 bug, ncra CF crd bug)
  * debian/control
    - require libudunits2-0, libudunits2-dev
  * debian/rules
    - build with DEB_BUILD_OPTIONS='dap-netcdf netcdf4 udunits2'

 -- Charlie Zender <zender@uci.edu>  Thu, 13 Oct 2010 11:30:56 -0700

nco (4.0.4-1) unstable; urgency=low

  * new upstream version (chunking everywhere, ncrename bugfix, ncks -m)

 -- Charlie Zender <zender@uci.edu>  Thu, 02 Sep 2010 20:34:38 -0700

nco (4.0.3-1) unstable; urgency=low

  * new upstream version (cf_date() bug, ncbo bug, configure tweaks)
  * Switch to dpkg-source 3.0 (quilt) format

 -- Charlie Zender <zender@uci.edu>  Thu, 02 Sep 2010 18:05:48 -0700

nco (4.0.2-1) unstable; urgency=low

  * new upstream version (namespace, ncatted NUL, ncap2 1-d arrays)

 -- Charlie Zender <zender@uci.edu>  Sun, 27 Jun 2010 11:04:41 -0700

nco (4.0.1-1) unstable; urgency=low

  [ Charlie Zender ]
  * new upstream version (fix_rec_dmn, mk_rec_dmn, .ncrename)
  * debian/copyright
    - remove John Burkhardt
  * debian/control
    - add ${misc:Depends}

  [ Francesco Paolo Lovergine ]
  * Policy bumped to 3.8.4.
  * Debhelper level set to 7.
  * Added me as uploaders.
  * Removing top dir info file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 26 Apr 2010 22:51:21 +0200

nco (4.0.0-1) unstable; urgency=low

  * new upstream version (fitting, calendar, bilinear interp)

 -- Charlie Zender <zender@uci.edu>  Tue, 05 Jan 2010 12:06:24 -0800

nco (3.9.9-1) unstable; urgency=low

  * new upstream version (chunking, NC_STRING, GSL stats/interp, rebasing)
  * debian/control
    - Standards-Version: 3.8.2
  * debian/copyright
    - includes everyone now
  * debian/compat
    - change from 4 to 5

 -- Charlie Zender <zender@uci.edu>  Tue, 14 Jul 2009 18:31:07 -0700

nco (3.9.8-1) unstable; urgency=low

  * new upstream version (DAP-netCDF, sort(), array(), GSL RNG)
  * debian/control
    - BR libnetcdf-dev
    - debhelper > 5
  * debian/rules
    - remove --disable-rpath

 -- Charlie Zender <zender@uci.edu>  Wed, 29 Apr 2009 13:28:07 -0700

nco (3.9.7-1) unstable; urgency=low

  * new upstream version (improves GSL builds, ncap2 threading)

 -- Charlie Zender <zender@uci.edu>  Wed, 18 Mar 2009 16:43:24 -0700

nco (3.9.6-1) UNRELEASED; urgency=low

  * new upstream version (fixes MSA bug, adds GSL)

 -- Charlie Zender <zender@uci.edu>  Thu, 22 Jan 2009 13:27:19 -0800

nco (3.9.5-1) UNRELEASED; urgency=low

  * new upstream version (MSA everywhere)

 -- Charlie Zender <zender@neige.ess.uci.edu>  Sun, 11 May 2008 17:39:52 +0200

nco (3.9.4-1) UNRELEASED; urgency=low

  * new upstream version (-3, -X, --msa_usr_rdr, ncap2 mask, WIN32)

 -- Charlie Zender <zender@uci.edu>  Mon, 03 Mar 2008 14:03:30 +0100

nco (3.9.3-1) UNRELEASED; urgency=low

  * new upstream version (SWAMP, ncecat -u, wget, ncap OpenMP, GCC 4.2)

 -- Charlie Zender <zender@uci.edu>  Sat, 08 Dec 2007 15:26:47 +0100

nco (3.9.2-1) UNRELEASED; urgency=low

  * new upstream version (GPL3, _FillValue, UDUnits2, ncap2 printing)

 -- Charlie Zender <zender@uci.edu>  Wed, 29 Aug 2007 09:01:52 -0700

nco (3.9.1-1) UNRELEASED; urgency=low

  * new upstream version (supports netCDF4/HDF deflation)

 -- Charlie Zender <zender@uci.edu>  Fri, 29 Jun 2007 11:46:16 -0700

nco (3.9.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules
    - fixed FTBFS if build twice in a row (Closes: #442685)
  * debian/doc-base
    - changed section
  * debian/watch
    - added
  * debian/control
    - added Homepage field

 -- Sandro Tosi <matrixhasu@gmail.com>  Sat, 19 Apr 2008 16:28:04 +0200

nco (3.9.0-1) unstable; urgency=low

  * new upstream version (includes netCDF4 atomic types)

 -- Charlie Zender <zender@uci.edu>  Tue, 22 May 2007 19:04:54 -0700

nco (3.2.0-1) unstable; urgency=low

  * new upstream version (includes rmssdn arithmetic bugfix)

 -- Charlie Zender <zender@uci.edu>  Thu, 19 Apr 2007 22:19:00 -0700

nco (3.1.9-1) unstable; urgency=low

  * new upstream version

 -- Charlie Zender <zender@uci.edu>  Sat, 10 Mar 2007 18:47:03 -0800

nco (3.1.8-2) UNRELEASED; urgency=low

  * Bump version for upload to Debian unstable

 -- Charlie Zender <zender@uci.edu>  Wed, 24 Jan 2007 10:03:48 -0800

nco (3.1.8-1) experimental; urgency=low

  * ncap2 methods work, nascent _FillValue support
  * Add psd.nco example for ncap2
  * Fix in.nc and tst path issues in make check
  * Change long description	
  * Remove unused make command in control
  * Change section from "math" to "science" in control and doc-base
  * Remove ncap_lex.c, ncap_yacc.[ch] from tarball
  * Remove pgiCC OpenMP threading on ncap2
  * Exclude all .cvsignore's
  * Replace 'unstable' with 'UNRELEASED' from 3.0.0-3.1.7
  * Change debian/nco.doc-base to debian/doc-base
  * Create non-native debian packages
  * Add @dircategory netCDF to nco.texi
  * Removed debian/docs, alphabetize control, less precise debhelper
    version, refine copyright history, remove debian/doc, de-comment
    debian/rules, 
  * Remove debian/[postinst,prerm, postrm]. These only contained
    instructions for handling *.info files. Rely on dh_installinit to
    automagically create these instructions.   
  * Include ncap2 executable and man page
  * Add package dependencies on antlr, libantlr-dev 
  * Kludge HTML documentation location in nco.doc-base

