=== debian/changelog ===
nco (4.0.8-1) unstable; urgency=low

  * New upstream release.
  * Moved to DebianGis maintainership, as asked by Charlie Zender.
  * Repository set onto alioth git, with Vcs-* usual settings.
  * Added makeinfo as build-dep for generating html docs. 

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 29 Nov 2011 12:49:29 +0100
