=== debian/changelog ===
nco (4.0.9-1) unstable; urgency=low

  * New upstream release.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 19 Feb 2012 18:27:10 +0100
