=== debian/control ===
--- 
+++ 
@@ -1,11 +1,14 @@
 Source: nco
 Section: science
 Priority: optional
-Maintainer: Charlie Zender <zender@uci.edu>
+Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
 Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
-Build-Depends: debhelper (>= 7), antlr, bison, flex, gsl-bin, libgsl0-dev, libantlr-dev, netcdf-bin, libnetcdf-dev, texinfo, libudunits2-0, libudunits2-dev
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), antlr, bison, flex, gsl-bin, libgsl0-dev, 
+ libantlr-dev, netcdf-bin, libnetcdf-dev, texinfo, libudunits2-0, libudunits2-dev, libdap-dev
+Standards-Version: 3.9.2
 Homepage: http://nco.sourceforge.net/
+Vcs-Browser: http://git.debian.org/?p=pkg-grass/nco.git
+Vcs-Git: git://git.debian.org/git/pkg-grass/nco.git
 
 Package: nco
 Architecture: any
