=== debian/rules ===
--- 
+++ 
@@ -71,18 +71,21 @@
 		--mandir=/usr/share/man \
 		--enable-gsl \
 		--enable-ncap2 \
-		--disable-dap-opendap \
 		--disable-nco_cplusplus \
 		--disable-udunits \
 		--disable-static
 
 # Architecture 
-build: build-arch
+build: build-arch build-indep
+
+build-indep: build-indep-stamp
+build-indep-stamp:
+	# do nothing
 
 build-arch: build-arch-stamp
 build-arch-stamp:  config.status
 	$(MAKE) 
-	cd doc && $(MAKE) html
+	cd doc && $(MAKE) clean && $(MAKE) html
 	cd doc && $(MAKE) nco.info
 # Documentation to distribute in future
 #	cd doc && $(MAKE) nco.ps
@@ -93,9 +96,7 @@
 	dh_testroot
 	rm -f build-arch-stamp build-indep-stamp config-stamp
 	[ ! -f Makefile ] || $(MAKE) distclean
-
 	rm -f data/big.nc
-
 	dh_clean
 
 install: install-arch
@@ -133,6 +134,7 @@
 	dh_md5sums
 	dh_builddeb
 
+
 # Build architecture independant packages using the common target
 binary-indep: build install
